unit Unit1;

interface

uses
  Windows, ShellAPI, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Unit2;

type
  TTestForm = class(TForm)
    DriverTitle: TLabel;
    DriverBevel: TBevel;
    DriverLabel: TLabel;
    DriverEdit: TEdit;
    DriverButton: TButton;
    SetupButton: TButton;
    LogButton: TButton;
    MessageTitle: TLabel;
    MessageBevel: TBevel;
    MessageLabel: TLabel;
    MessageEdit: TEdit;
    MessageButton: TButton;
    TestTitle: TLabel;
    TestBevel: TBevel;
    PlayButton: TButton;
    RecordButton: TButton;
    StopButton: TButton;
    DriverDialog: TOpenDialog;
    MessageDialog: TOpenDialog;
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure DriverButtonClick(Sender: TObject);
    procedure SetupButtonClick(Sender: TObject);
    procedure LogButtonClick(Sender: TObject);
    procedure MessageButtonClick(Sender: TObject);
    procedure PlayButtonClick(Sender: TObject);
    procedure RecordButtonClick(Sender: TObject);
    procedure StopButtonClick(Sender: TObject);
  private
    procedure WMModemNotify(var Message: TMessage); message WM_MODEMNOTIFY;
  public
    { Public declarations }
  end;

var
  TestForm: TTestForm;

implementation

uses
  OptionsDlg, VML_IniFile;

{$R *.DFM}

procedure TTestForm.WMModemNotify(var Message: TMessage);
const
  Cursors: array[Boolean] of TCursor = (crDefault, crAppStart);
begin
  with Message do
  begin
    PlayButton.Enabled := WParam = MS_IDLE;
    RecordButton.Enabled := WParam = MS_IDLE;
    StopButton.Enabled := WParam in [MS_PLAYING, MS_RECORDING];
    Screen.Cursor := Cursors[WParam in [MS_STARTING, MS_STOPPING]];
  end;
end;

procedure TTestForm.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  ModemModule.Stop(True);
end;

procedure TTestForm.DriverButtonClick(Sender: TObject);
begin
  with DriverDialog do
  begin
    FileName := '';
    if Execute then
    begin
      DriverEdit.Text := FileName;
      { Apply changes }
      with ModemModule do
      begin
        { Save new modem name }
        ModemProfile.ModemIniFile := FileName;
        WriteProfileIniFile('DrvTest.ini', ModemProfile);
        { Update modem params }
        UpdateParams(False);
      end;
    end;
  end;
end;

procedure TTestForm.SetupButtonClick(Sender: TObject);
begin
  if ShowOptionsDlg then ModemModule.UpdateParams(False);
end;

procedure TTestForm.LogButtonClick(Sender: TObject);
begin
  ShellExecute(Handle, 'open', PChar(ModemModule.ModemLogFile.FileName), nil, nil, SW_SHOW);
end;

procedure TTestForm.MessageButtonClick(Sender: TObject);
begin
  with MessageDialog do
  begin
    FileName := MessageEdit.Text;
    if Execute then MessageEdit.Text := FileName;
  end;
end;

procedure TTestForm.PlayButtonClick(Sender: TObject);
begin
  ModemModule.PlayFile(Sender, MessageEdit.Text);
end;

procedure TTestForm.RecordButtonClick(Sender: TObject);
begin
  ModemModule.RecordFile(Sender, MessageEdit.Text);
end;

procedure TTestForm.StopButtonClick(Sender: TObject);
begin
  ModemModule.Stop(False);
end;

end.
