(****************************************************************************
 *
 *  mmreg.h  - Registered Multimedia Information Public Header File
 *
 *  Copyright (C) 1991,1992,1993 Microsoft Corporation
 *
 ****************************************************************************
 *
 *  Translator:
 *
 *  Copyright (C) 2000 Roman M. Mochalov
 *  E-mail: roman@sar.nnov.ru
 *
 ****************************************************************************)

unit MMReg;

interface

uses
  MMSys;

{ WAVE form wFormatTag IDs }

const
  WAVE_FORMAT_UNKNOWN   = $0000; { Microsoft Corporation }
  WAVE_FORMAT_ALAW      = $0006; { Microsoft Corporation }
  WAVE_FORMAT_MULAW     = $0007; { Microsoft Corporation }
  WAVE_FORMAT_DVI_ADPCM = $0011; { Intel Corporation }
  WAVE_FORMAT_IMA_ADPCM = WAVE_FORMAT_DVI_ADPCM;

{
  Intel's DVI ADPCM structure definitions

      for WAVE_FORMAT_DVI_ADPCM   (0x0011)
}

type
  PDVIADPCMWaveFormat = ^TDVIADPCMWaveFormat;
  TDVIADPCMWaveFormat = packed record
    wfx: TWaveFormatEx;
    wSamplesPerBlock: Word;
  end;

{
  IMA endorsed ADPCM structure definitions--note that this is exactly
  the same format as Intel's DVI ADPCM.

      for WAVE_FORMAT_IMA_ADPCM   (0x0011)
}

type
  PIMAADPCMWaveFormat = ^TIMAADPCMWaveFormat;
  TIMAADPCMWaveFormat = packed record
    wfx: TWaveFormatEx;
    wSamplesPerBlock: Word;
  end;

implementation

end.
