{
  Voice Modem Library v1.0

  This file contains the IDC-2814 VR (with Rockwell AT# commands set)
  specific hardware stuff.

  Copyright (C) 1998-2001 Roman M. Mochalov
  E-mail: roman@sar.nnov.ru
}

unit VML_IDC2814VR;

{$I VML.INC}

interface

uses
  Windows, SysUtils, Classes, VML_Modem, VML_Consts, VML_Rockwell;

const

{ IDC-2814 VR available compression modes }

  IDC2814VR_ADPCM_4 = 4;

{ IDC-2814 VR modem strings }

  SIDC2814VRName    = 'IDC-2814 VR';
  SIDC2814VRRMDName = 'IDC-2814 VR';

{$I *.INC}

type

{ TIDC2814VR }

  TIDC2814VR = class(TRockwell)
  public
    constructor Create(AOwner: TComponent); override;
  end;

implementation

{ TIDC2814VR }

constructor TIDC2814VR.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  { Modem name }
  ModemName := SIDC2814VRName;
  ModemRMDName := SIDC2814VRRMDName;
  { \Q3 - Hardware flow control.
    \Q4 - Software flow control. }
  HardFlowCmd := 'AT\Q3';
  SoftFlowCmd := 'AT\Q4';
  { Baud rate command not suppoted (?) }
  BaudRateCmd := '';
  { #VBT=n - Beep tone timer (?) }
  DevInitVoiceCmd := 'AT#VBT=1';
  DevInitVoiceAnsw := 'OK';
  { #VLS   - Voice line selection.
    #VLS=0 - Line.
    #VLS=1 - Local handset.
    #VLS=2 - Speaker.
    #VLS=3 - Microphone.
    #VLS=6 - Speakerphone. }
  Devices.Clear;
  Devices.Add(NO_DEVICE, SNoDevice, 'AT#VLS=0H0', 'OK|VCON', DF_HIDDEN);
  Devices.Add(DIALUP_LINE, SDialupLine, 'AT#VLS=0', 'OK|VCON', DF_TRANSMIT_RECEIVE);
  Devices.Add(EXTERNAL_MICROPHONE, SExternalMicrophone, 'AT#VLS=3', 'VCON', DF_RECEIVE);
  Devices.Add(INTERNAL_SPEAKER, SInternalSpeaker, 'AT#VLS=2', 'VCON', DF_TRANSMIT);
  Devices.Add(LOCAL_HANDSET, SLocalHandset, 'AT#VLS=1','OK|VCON', DF_TRANSMIT_RECEIVE);
  Devices.Add(SPEAKER_PHONE, SSpeakerPhone, 'AT#VLS=6', 'OK|VCON', DF_TRANSMIT_RECEIVE);
  { #VSR   - Sampling rate selection.
    #VBS=4 - 4 bit ADPCM 7200 Hz. }
  Compressions.Clear;
  Compressions.Add(IDC2814VR_ADPCM_4, SIDC2814VRADPCM4, 'AT#VSR=7200||AT#VBS=4', 'OK||OK', 7200, 4, CF_7200, 0, 0, 0);
end;

initialization
  RegisterModemDriver(SIDC2814VRName, TIDC2814VR);

end.
